## juffed 0.10-89-g3690b60

=== debian/changelog ===
juffed (0.10-89-g3690b60-9) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5
  * d/control: Change dead Homepage to GitHub
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyright year
  * d/salsa-ci.yml: Configure Salsa CI
  * d/rules: Set CMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113065)
  * d/control: Update Build-Depends
  * d/control: Change libjuff0.10t64 to libs section
  * d/patch: Allow CXX_FLAGS to be configurable
  * d/lintian-overrides: Remove unused lintian-overrides

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: add myself as uploader.
  * Run wrap-and-sort.
  * debian/copyright: add myself.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 28 Sep 2025 17:43:50 +0200

juffed (0.10-89-g3690b60-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062473

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:29:13 +0000

juffed (0.10-89-g3690b60-8) unstable; urgency=medium

  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Jun 2023 01:31:41 +0800

juffed (0.10-89-g3690b60-7) unstable; urgency=medium

  * Add Breaks, Replaces for upgrading (Closes: #1028298).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 09 Jan 2023 22:11:03 +0800

juffed (0.10-89-g3690b60-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Bump compat to 13:
    * Remove unnecessary -Wl,--as-needed in d/rules.
  * Add libjuffed0.10:
    * Use standard location for libraries.
  * Add d/upstream/metadata.
  * Update d/watch to version 4.
  * Update Homepage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Jan 2023 23:10:27 +0800

juffed (0.10-89-g3690b60-5) unstable; urgency=medium

  * Fixed override_dh_makeshlib not to add a ldconfig trigger

 -- Alf Gaida <agaida@siduction.org>  Sat, 21 Jul 2018 14:05:28 +0200

juffed (0.10-89-g3690b60-4) unstable; urgency=medium

  * Made libjuff and libjuffed-engine-qsc private (Closes: #897776)
  * Bumped Standards to 4.1.5, no changes needed
  * Recommend juffed-plugins

 -- Alf Gaida <agaida@siduction.org>  Sat, 21 Jul 2018 12:30:59 +0200

juffed (0.10-89-g3690b60-3) unstable; urgency=medium

  * Fixed symbol for riscv64

 -- Alf Gaida <agaida@siduction.org>  Fri, 29 Jun 2018 19:40:27 +0200

juffed (0.10-89-g3690b60-2) unstable; urgency=medium

  * Really fixed the VCS fields

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 22:57:00 +0200

juffed (0.10-89-g3690b60-1) unstable; urgency=medium

  * Cherry-picked latest upstream version 0.10-89-g3690b60.
  * Added upstream PR for qscintilla (Closes: #897133)
  * Relaxed minimum debhelper version to >= 11~
  * Removed not needed minimium cmake version
  * Bumped Standards to 4.1.4
  * Changed VCS fields for salsa
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 14:17:15 +0200

juffed (0.10-85-g5ba17f9-17) unstable; urgency=medium

  * patched for new qsci names, thanks Scott Kitterman
    (Closes: #885631)
  * Bumped Standards to 4.1.3 - no changes needed
  * Bumped debhelper to >= 11
  * Bumped compat to 11
  * Fixed arch handling in rules

 -- Alf Gaida <agaida@siduction.org>  Thu, 04 Jan 2018 02:42:44 +0100

juffed (0.10-85-g5ba17f9-16) unstable; urgency=medium

  * Fixed typo Arch -> arch

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Oct 2017 02:33:30 +0200

juffed (0.10-85-g5ba17f9-15) unstable; urgency=medium

  * Added missed symbol for 32bit arches
  * Bumped Standards fo 4.1.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Oct 2017 01:39:57 +0200

juffed (0.10-85-g5ba17f9-14) unstable; urgency=medium

  * Deleted some symbols that magically disappeared. Added one
    new symbol (Closes: #876918)
  * Added override_dh_missing
  * Bumped Standards to 4.1.0

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Sep 2017 01:20:17 +0200

juffed (0.10-85-g5ba17f9-13) unstable; urgency=medium

  * Fixed 64 bit symbol (Closes: #871992)

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 Aug 2017 18:38:14 +0200

juffed (0.10-85-g5ba17f9-12) unstable; urgency=medium

  * Fixed symbols for amd64 and i368 for gcc 7.10 (Closes: #871181)
  * Don't build with terminal integration - terminal causes segfaults at
    closing time
  * Removed build dependency libqtermwidget
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 21:55:34 +0200

juffed (0.10-85-g5ba17f9-11) unstable; urgency=medium

  * Fixed typo in changelog
  * The changed symbols work with gcc-7, FTBFS fixed
    (Closes: #853464)

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 12:57:18 +0200

juffed (0.10-85-g5ba17f9-10) unstable; urgency=medium

  * Mark juffed Multi-Arch foreign to satisfy the Multiarch-Ruler
  * Added some optional symbols for builds with gcc-7 (>= 7.1)
  * Removed --parallel from rules, default in compat 10
  * Bump Standards to 4.0.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Jun 2017 23:36:48 +0200
