=== debian/control ===
Source: juffed
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cmake,
               libenca-dev,
               libqscintilla2-qt5-dev,
               pkgconf,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/juffed
Vcs-Git: https://salsa.debian.org/lxqt-team/juffed.git
Homepage: https://github.com/Mezomish/juffed
Rules-Requires-Root: no

Package: juffed
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: enca, juffed-plugins
Description: Lightweight yet powerful Qt text editor
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the JuffEd editor.

Package: juff-dev
Architecture: any
Section: devel
Depends: libjuff0.10t64 (= ${binary:Version}), ${misc:Depends}
Breaks: juffed-dev (<< 0.10-89-g3690b60-6)
Replaces: juffed-dev (<< 0.10-89-g3690b60-6)
Description: Lightweight yet powerful Qt text editor - development files
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains development files for plugin building.

Package: libjuff0.10t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: juffed (<< 0.10-89-g3690b60-6), libjuff0.10 (<< ${source:Version})
Replaces: juffed (<< 0.10-89-g3690b60-6), libjuff0.10
Description: Lightweight yet powerful Qt text editor - library
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains JuffEd editor libraries.

Package: juffed-plugins
Architecture: any
Multi-Arch: same
Depends: juffed (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight yet powerful Qt text editor - plugins
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the following plugins:
  * Autosave
  * Color Picker
  * Document List
  * Favorites
  * Find In Files
  * File manager
  * Key bindings
  * Sort Document
  * Symbol Browser
  * XML Formatter
