=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE=1

export USE_QT5=true
export USE_SYSTEM_SINGLETON=false
export USE_ENCA=true
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--builddirectory=./build

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/${DEB_HOST_MULTIARCH} \
		-DBUILD_TERMINAL=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5
