=== debian/watch ===
Version: 5
Template: GitHub
Owner: Mezomish
Project: juffed
